{{ define "content" }}

<div class="container">

  {{if .Options.Get "update"}}
  <nav aria-label="breadcrumb">
    <ol class="breadcrumb">
      <li class="breadcrumb-item"><a href="/groups?{{query "tpl_layout" "base" "tpl_content" "groups"}}">Gruppi</a></li>
      <li class="breadcrumb-item active"><a href="#">Aggiorna gruppo</a></li>
    </ol>
  </nav>
  {{else}}
  <nav aria-label="breadcrumb">
    <ol class="breadcrumb">
      <li class="breadcrumb-item"><a href="/groups?{{query "tpl_layout" "base" "tpl_content" "groups"}}">Gruppi</a></li>
      <li class="breadcrumb-item active"><a href="#">Aggiungi</a></li>
    </ol>
  </nav>
  {{end}}

  {{if .Options.Get "update"}}
  <div class="karmen-info-header">
    <div class="row">
      <div class="col-md-8">
	<h1>Aggiorna gruppo</h1>
      </div>
    </div>
  </div>
  
  {{else}}
  <h1 class="karmen-info-header">Crea nuovo gruppo</h1>
  {{end}}

  {{if .Options.Get "update"}}
  <form id="form_groups_add_update" action="/groups/{{.Data.Group.ID}}/update" method="POST" role="form" data-toggle="validator">
    {{else}}
    <form id="form_groups_add_update" action="/groups/add/" method="POST" role="form" data-toggle="validator">
      {{end}}

      <div class="form-group has-feedback">
        <label class="control-label" for="group_name">Nome</label>
        <input type="text" name="Name" class="form-control" id="group_name" placeholder="Nome" {{if .Options.Get "update"}} value="{{.Data.Group.Name}}" {{end}} required>
      </div>

      <div class="form-group has-feedback">
        <label class="control-label" for="group_query">Stringa di popolamento</label>
        <input type="text" name="Query" class="form-control" id="group_query" placeholder="surname:*" {{if .Options.Get "update"}} value="{{.Data.Group.Query}}" {{end}}>
      </div>

      <div class="form-group">
        <label class="control-label" for="teacher_id">Docenti</label>
        <select name="teacher_ids" class="form-control selectpicker" id="teacher_ids" placeholder="Docenti" data-live-search="true" form="form_groups_add_update" title="Seleziona i nomi dei docenti" data-dropup-auto="false" multiple>
          <option value="0"></option>
          {{range $teacher := .Data.AllTeachers}}
          {{if $.Options.Get "update"}}
          <option
	    value="{{$teacher.ID}}"
	    {{index $.Data.SelectedTeacher $teacher.ID}}>{{$teacher.CompleteName}}
          </option>
          {{else}}
          <option value="{{$teacher.ID}}">{{$teacher.CompleteName}}</option>
          {{end}}
          {{end}}
        </select>
      </div>

      <div class="form-group">
        <button type="submit" class="btn btn-primary">Salva</button>
        {{if .Options.Get "update"}}
        <a href="/groups/{{.Data.Group.ID}}?{{query "tpl_layout" "base" "tpl_content" "groups_show"}}" class="btn btn-default">Annulla</a>
        {{else}}
        <a href="/groups?{{query "tpl_layout" "base" "tpl_content" "groups"}}" class="btn btn-default">Annulla</a>
        {{end}}
      </div>
    
    </form>

</div>

{{ end }}
